<template>
  <div class="box">
    <article class="media">
      <router-link :to="`/users/${user.username}`" class="media-left">
        <figure class="image is-64x64">
          <img :src="profileImageUrl" :alt="`${user.firstname} ${user.lastname}`">
        </figure>
      </router-link>
      <div class="media-content">
        <div class="content">
          <p>
            <router-link :to="`/users/${user.username}`">
              <strong>{{ user.firstname }} {{ user.lastname }}</strong>&nbsp;&nbsp;<small>{{ user.username }}</small>&nbsp;&nbsp;<small>{{time}} ago</small>
            </router-link>
            <br>
            <br>
            <strong>{{ image.title }}</strong>&nbsp; - &nbsp;{{ image.description }}
          </p>
          <hr>
          <b-collapse class="card" :open="false">
            <div slot="trigger" slot-scope="props" class="card-header">
              <p class="card-header-title">
                Details
              </p>
              <a class="card-header-icon">
                <b-icon
                  :icon="props.open ? 'caret-down' : 'caret-up'">
                </b-icon>
              </a>
            </div>
            <div class="card-content">
              <div class="content">
                <strong>X-Resolution:</strong> {{ image.metadata.XResolution}} <br>
                <strong>Y-Resolution:</strong> {{ image.metadata.YResolution}} <br>
                <strong>DPI:</strong> {{ image.metadata.DPI}} <br>
                <strong>Colorspace:</strong> {{ image.metadata.Colorspace }} <br>
              </div>
            </div>
          </b-collapse>
        </div>
      </div>
    </article>
  </div>
</template>

<script>
import { distanceInWordsToNow } from 'date-fns'
export default {
  props: { user: Object, image: Object },
  computed: {
    profileImageUrl () {
      return `${this.$store.state.cloudinary}/w_80,h_80,c_thumb,g_face,f_auto,q_auto/${this.user.profileImage}`
    },
    time () {
      return distanceInWordsToNow(this.image.createdAt, { includeSeconds: true })
    }
  }
}
</script>

<style lang="scss" scoped>
.card-header-title {
  margin-bottom: unset !important;
}
</style>
